using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class DetailsForm : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["EmployeeId"] != null)
        {
            int empId;
            if(Int32.TryParse(Request.QueryString["EmployeeId"],out empId))
            {
                PopulateDataForEmployee(empId);
            }

        }
    }

    private void PopulateDataForEmployee(int employeeId)
    {
        //fetch data for employeeId
        //populate controls

        //below is some dummy code. 
        //Homework : Make this work :-)

        lblBday.Text = Guid.NewGuid().ToString();
        lblCountry.Text = lblBday.Text.Substring(0, 10).ToUpper();
        lblNotes.Text = lblBday.Text + lblCountry.Text;
        lblRptTo.Text = Guid.NewGuid().ToString();
    }
}
